require 'ffi'
require 'rbconfig'

module ImLib # :nodoc:
  extend FFI::Library

  case RbConfig::CONFIG['host_os']
#  when /mswin|mingw/
#    ffi_lib 'lib/library/iup.dll'
  when /linux|cygwin/
    ffi_lib 'libiupim'
  else
    raise Exception, 'iup libraries not found for this platform'
  end

  attach_function :IupLoadImage, [:string], :pointer
  attach_function :IupSaveImage, [:string, :string], :int

end
