module Iup

  # defines attributes and methods used for internal drag and drop
  # 
  module InternalDragDropAttributes
    extend AttributeBuilders

    # attributes

    define_attribute :dragdroplist
    define_attribute :dropfilestarget
    define_attribute :showdragdrop

    # callbacks

    def dragdrop_cb callback
      define_callback callback, 'DRAGDROP_CB', :iiii_i
    end
  end

end
