require 'ffi'
require 'rbconfig'

module ScintillaLib # :nodoc:
  extend FFI::Library

  case RbConfig::CONFIG['host_os']
 # when /mswin|mingw/
 #   ffi_lib 'lib/library/iupimglib.lib'
  when /linux|cygwin/
    ffi_lib 'libiup_scintilla'
  else
    raise Exception, 'iup scintilla library not found for this platform'
  end

  attach_function :IupScintilla, [], :pointer
  attach_function :IupScintillaOpen, [], :void
end
